## org.eclipse.emf.mapping.presentation
Class SimpleMappedObjectViewer.SelectObjectAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.mapping.presentation.SimpleMappedObjectViewer.SelectObjectAction

All Implemented Interfaces:
  IAction

Enclosing class:
  SimpleMappedObjectViewer

    protected class SimpleMappedObjectViewer.SelectObjectAction

extends Action

Field Summary
`protected java.lang.Object` `objectToSelect`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`SimpleMappedObjectViewer.SelectObjectAction(java.lang.String text, ImageDescriptor imageDescriptor)`

Method Summary
`void` `run()`
`void` `setObjectToSelect(java.lang.Object objectToSelect)`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### objectToSelect

    protected java.lang.Object objectToSelect

Constructor Detail

### SimpleMappedObjectViewer.SelectObjectAction

    public SimpleMappedObjectViewer.SelectObjectAction(java.lang.String text,
                                                       ImageDescriptor imageDescriptor)

Method Detail

### setObjectToSelect

    public void setObjectToSelect(java.lang.Object objectToSelect)

### run

    public void run()

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.